Bug 52548 - service.bat fails to set catalina.base and catalina.home due to apparent procrun bug
service.bat fails to set catalina.base and catalina.home due to apparent proc...
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Native:Packaging
6.0.35
PC All
: P2 minor (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-01-28 06:51 UTC by Chuck Caldarale
Modified: 2012-02-17 18:10 UTC (History)
0 users



Attachments
diff -u patch for service.bat against 7.0.25 (1.21 KB, patch)
2012-01-28 06:51 UTC, Chuck Caldarale
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chuck Caldarale 2012-01-28 06:51:25 UTC
Created attachment 28221 [details]
diff -u patch for service.bat against 7.0.25

It appears that procrun 1.0.8 is not handling ++JvmOptions properly, instead treating it as --JvmOptions.  This results in only the last use of JvmOptions being retained in the registry, causing the settings for catalina.base and catalina.home to be lost when applied by the service.bat script.  Attached is a diff -u patch for service.bat 7.0.25 to work around the problem; it has the unfortunate effect of making the lines rather long.
Comment 1 Mark Thomas 2012-01-28 21:00:37 UTC
Thanks for the analysis and the patch.

https://issues.apache.org/jira/browse/DAEMON-237 has been raised for the procrun bug. If that doesn't get fixed before the next 7.0.x release we'll go with the patch provided.
Comment 2 Mark Thomas 2012-02-15 15:01:58 UTC
Fixed in trunk and 7.0.x and will be included in 7.0.26 onwards by upgrading to Daemon 1.0.9.

The same upgrade has been proposed for 6.0.x and 5.5.x but note that 5.5.x is not affected by this bug since it currently uses Daemon 1.0.7.
Comment 3 Mark Thomas 2012-02-17 18:10:25 UTC
Fixed in 6.0.x and will be included in 6.0.36 onwards.